Bug 74650 - Shuttle SS40G: "System does not support PCI" but it actually does
Shuttle SS40G: "System does not support PCI" but it actually does
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-09-29 05:22 EDT by Barry K. Nathan
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-29 23:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2002-09-29 05:22:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20020928

Description of problem:
On Shuttle SS40G-based systems (SiS 740 chipset, FWIW) several Red Hat kernels
seem to fail to detect PCI support, and as a result all the onboard goodies
(network, IDE, etc.) stop working properly (no IDE DMA, no Ethernet whatsoever,
etc.). The afflicted kernels include 2.4.9-34 (RH 7.1/7.2 errata), 2.4.18-3 (RH
7.3), and 2.4.18-14 ((null) up2date).

The problem does not occur on the original RH 7.2 kernel, or on any earlier
kernels (going back to the original RH 5.2 kernel).

Version-Release number of selected component (if applicable):
See above.

How reproducible:

Steps to Reproduce:
1. Boot system using kernel (either custom-configured or standard Red Hat
2. Watch for output related to PCI support.
3a. See if it recognizes a PCI bus or any PCI(/AGP?) devices. If booting into an
existing RH installation (i.e. from a drive transplanted from another machine,
or copied over with a kernel that's not affected by the bug), see if lspci works.

Actual Results:  lspci should list PCI devices, and PCI devs should be
recognized, etc.

Expected Results:  lspci is broken (can't find something under /proc), IDE is
PIO only, no network card detected, system displays "System does not support
PCI" during boot, etc.

Additional info:

FWIW, this problem appears to be fixed in the mainline kernel as of 2.4.20-pre5
(2.4.20-preX for X <= 4 doesn't work). 2.4.19-rc1-ac4 also appears to fix it
(2.4.19-rc1-ac3 doesn't work). I'll retest with whatever kernel Psyche comes
with, once I manage to obtain that. 2.5.39 is affected by the bug too -- perhaps
I should send a mail to the linux-kernel list about this...

Interestingly enough: when booting RH 7.3 CD 1, the installer fails to load
because /sbin/loader segfaults (signal 11). Might this be related to the
perceived lack of a PCI bus? (And I wonder if fixing this bug might fix the
other machines which are crashing due to signal 11 when trying to install RH
7.3? Unlike the other machines I've heard about, this one is an Athlon XP 2200+
-- it's modern hardware -- in fact, I didn't even have this hardware during the
(null) beta cycle or I would have reported it then.)
Comment 1 Barry K. Nathan 2002-09-30 18:26:22 EDT
I just reproduced the problem with RHL 8.0 disc 1 (i.e., booting the installer),
for what it's worth.
Comment 2 Need Real Name 2002-10-03 23:24:34 EDT
I just had this same problem.  Right down to the kernel versions.

I found this page on the web: http://www.maniac.nl/linux-ss40.html.  They 
have links to the video driver.  But more importantly, at the bottom of the 
page in small print:

"You need to specify 'pci=bios' to be able to access the pci-devices, and 
in some cases even succesfully boot with this mainboard."

So I added pci=bios to the end of the kernel line in /etc/grub/grub.conf, 
and it detected everything next boot.

I'm unsure how to do this when installing Red Hat Linux.  How do you add 
kernel parameters in the boot screen?

Best of luck!
Comment 3 Barry K. Nathan 2002-10-04 01:29:50 EDT
At the boot screen, type "linux pci=bios" instead of just hitting return. That
works -- I tested with the 8.0 install CD.

Reducing severity to low, given the easy and effective workaround.
Comment 4 Barry K. Nathan 2003-01-29 23:27:04 EST
Oops, didn't realize I had left this bug open.

The initial Phoebe beta's kernel fixes this problem. I also verified a while
back that it was fixed at some point in the 2.5 series. So it's no longer a
problem for the upcoming release or for mainline kernels.

At first it seems like it would be nice to have an erratum package, but that
leads to a chicken-and-egg scenario:

+ Without the updated kernel on your install floppy/CDs, you need to use the
workaround anyway
+ and once you're using the workaround, does a kernel update really help?

So, I'm going to close this bug. I'm not sure whether to close as CURRENTRELEASE
(Phoebe is just a beta) or RAWHIDE (I verified with Phoebe, not Rawhide). My
best guess is that RAWHIDE is more appropriate though.

Note You need to log in before you can comment on or make changes to this bug.